SoShaderParameter(3)

NAME
SoShaderParameter - The SoShaderParameter class is the base class for all shader parameter classes.

SYNOPSIS

#include <Inventor/nodes/SoShaderParameter.h>

Inherits SoNode.

Inherited by SoUniformShaderParameter.

  Public Member Functions
virtual SoType getTypeId (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass ()
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFString name
SoSFInt32 identifier

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoShaderParameter ()
virtual ~SoShaderParameter ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoShaderParameter class is the base class for all shader parameter classes. In addition to the name and identifier field, all subclasses have a value field which is used for specifying the parameter value.

Constructor & Destructor Documentation

  SoShaderParameter::SoShaderParameter (void) [protected]
Constructor.

  SoShaderParameter::~SoShaderParameter () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShaderParameter::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoShaderParameter::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoUniformShaderParameter, SoShaderParameter1f, SoShaderParameter1i, SoShaderParameter2f, SoShaderParameter2i, SoShaderParameter3f, SoShaderParameter3i, SoShaderParameter4f, SoShaderParameter4i, SoShaderParameterArray1f, SoShaderParameterArray1i, SoShaderParameterArray2f, SoShaderParameterArray2i, SoShaderParameterArray3f, SoShaderParameterArray3i, SoShaderParameterArray4f, SoShaderParameterArray4i, SoShaderParameterMatrix, SoShaderParameterMatrixArray, and SoShaderStateMatrixParameter.

  const SoFieldData ** SoShaderParameter::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoShaderParameter::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Reimplemented in SoUniformShaderParameter, SoShaderParameter1f, SoShaderParameter1i, SoShaderParameter2f, SoShaderParameter2i, SoShaderParameter3f, SoShaderParameter3i, SoShaderParameter4f, SoShaderParameter4i, SoShaderParameterArray1f, SoShaderParameterArray1i, SoShaderParameterArray2f, SoShaderParameterArray2i, SoShaderParameterArray3f, SoShaderParameterArray3i, SoShaderParameterArray4f, SoShaderParameterArray4i, SoShaderParameterMatrix, SoShaderParameterMatrixArray, and SoShaderStateMatrixParameter.

Member Data Documentation

  SoSFString SoShaderParameter::name
The shader parameter name. Used for Cg and GLSL programs.

  SoSFInt32 SoShaderParameter::identifier
The shader parameter identifier. Used for ARB shader programs.

Author

Generated automatically by Doxygen for Coin from the source code.